## gnome-shell-extensions-extra 20230204

=== debian/changelog ===
gnome-shell-extensions-extra (20230204-1) unstable; urgency=low

  * Initial upload to sid.
  * Conglomerating my previous separate gnome-shell-extension-* uploads to NEW
    into one single source package building one single binary package as
    instructed by ftp-master.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Feb 2023 12:46:53 +0100
