=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

execute_after_dh_auto_clean:
	# hibernate-status
	$(MAKE) -C hibernate-status clean

override_dh_auto_build:
	# multi-monitors-add-on
	UUID=$(shell awk -F\" '/"uuid": / { print $$4 }' multi-monitors-add-on/*/metadata.json); \
	cd multi-monitors-add-on && \
	for TRANSLATION in $${UUID}/locale/* ; do \
		msgfmt -cv -o $${TRANSLATION}/LC_MESSAGES/multi-monitors-add-on.mo \
		              $${TRANSLATION}/LC_MESSAGES/multi-monitors-add-on.po; \
	done && \
	glib-compile-schemas --strict --targetdir=$${UUID}/schemas/ $${UUID}/schemas

override_dh_auto_install:
	mkdir -p debian/gnome-shell-extensions-extra/usr/share/gnome-shell/extensions

	# disable-workspace-switcher
	UUID=$(shell awk -F\" '/"uuid": / { print $$4 }' disable-workspace-switcher/*/metadata.json); \
	cp -a disable-workspace-switcher/$${UUID} debian/gnome-shell-extensions-extra/usr/share/gnome-shell/extensions

	# hibernate-status
	UUID=$(shell awk -F\" '/"uuid": / { print $$4 }' hibernate-status/metadata.json); \
	$(MAKE) -C hibernate-status DESTDIR=$(CURDIR)/debian/gnome-shell-extensions-extra install; \
	rm -f debian/gnome-shell-extensions-extra/usr/share/gnome-shell/extensions/$${UUID}/LICENSE; \
	rm -f debian/gnome-shell-extensions-extra/usr/share/gnome-shell/extensions/$${UUID}/README.md

	# multi-monitors-add-on
	UUID=$(shell awk -F\" '/"uuid": / { print $$4 }' multi-monitors-add-on/*/metadata.json); \
	cp -a multi-monitors-add-on/$${UUID} debian/gnome-shell-extensions-extra/usr/share/gnome-shell/extensions/$${UUID}
