## gnome-shell-extensions-extra 20230205

=== debian/changelog ===
gnome-shell-extensions-extra (20230205-2) sid; urgency=medium

  * Uploading to sid.
  * Reuploading with urgency medium without changes.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 06 Feb 2023 13:14:10 +0100

gnome-shell-extensions-extra (20230205-1) sid; urgency=low

  * Uploading to sid.
  * Merging upstream version 20230205.
  * Updating build-depends for new upstream version.
  * Updating package long-description for new upstream version.
  * Adding provides for individual extensions.
  * Updating copyright for new upstream version.
  * Updating rules for new upstream version.
  * Adding watch file.
  * Adding upstream signing key.
  * Disabling show-indicator by default in multi-monitors-add-on
    extension.
  * Disabling show-activities by default in multi-monitors-add-on
    extension.
  * Adding no-overview metadata.json.
  * Using distribution codenames in changelog.
  * Harmonizing vcs fields.
  * Adding gsettings override for multi-monitors-add-on for reasonable
    defaults.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Feb 2023 09:03:59 +0100

gnome-shell-extensions-extra (20230204-1) sid; urgency=low

  * Initial upload to sid.
  * Conglomerating my previous separate gnome-shell-extension-* uploads to NEW
    into one single source package building one single binary package as
    instructed by ftp-master.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Feb 2023 12:46:53 +0100
