=== debian/control ===
Source: gnome-shell-extensions-extra
Section: gnome
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 libglib2.0-bin,
 python3-docutils,
 unzip,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra

Package: gnome-shell-extensions-extra
Section: gnome
Architecture: all
Depends:
 gnome-shell (>= 42),
 ${misc:Depends},
Recommends:
 gnome-tweaks,
Enhances:
 gnome-shell,
Breaks:
# upgrade from bullseye
 gnome-shell-extension-multi-monitors,
Replaces:
 gnome-shell-extension-multi-monitors,
Provides:
 gnome-shell-extension-disable-workspace-switcher,
 gnome-shell-extension-hibernate-status,
 gnome-shell-extension-middleclickclose,
 gnome-shell-extension-multi-monitors-add-on,
 gnome-shell-extension-no-overview,
 gnome-shell-extension-vertical-workspaces,
Description: Conglomeration package of GNOME Shell extensions
 The gnome-shell-extensions-extra contains the following extensions for
 GNOME Shell:
 .
   * disable-workspace-switcher:
     disables the popup displayed during workspace switching
 .
   * hibernate-status:
     adds a hibernate/hybrid suspend button in status menu
 .
   * middleclickclose:
     closes apps in overview with a middle click
 .
   * multi-monitors-add-on:
     adds panels and thumbnails for additional monitors
 .
   * no-overview:
     disables the switch to overview at login
 .
   * vertical-workspaces:
     changes the horizontal stacking of workspaces to vertical, but also
     customizes layout, content, appearance and behavior of the Shell
