=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --no-parallel

execute_after_dh_auto_install:
	# removing unused files
	rm -f debian/gnome-shell-extensions-extra/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/gnome-shell-extensions-extra/usr/share/doc/*/LICENSE.txt
