=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://get.progress-linux.org/packages/gnome-shell-extensions-extra/upstream/gnome-shell-extensions-extra-(.+)\.tar\.lz
