## gnome-shell-extensions-extra 20240916

=== debian/control ===
Source: gnome-shell-extensions-extra
Section: gnome
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 gnome-shell,
 libglib2.0-bin,
 python3-docutils,
 unzip,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra

Package: gnome-shell-extensions-extra
Section: gnome
Architecture: all
Depends:
 gnome-shell (>= ${gnome-shell:Depends:low}~),
 gnome-shell (<< ${gnome-shell:Depends:high}~),
 ${misc:Depends},
Recommends:
 gnome-tweaks,
Enhances:
 gnome-shell,
Provides:
 gnome-shell-extension-disable-workspace-switcher (= 3+20231017),
 gnome-shell-extension-hibernate-status (= 1.16~rc1),
 gnome-shell-extension-middleclickclose (= 31),
 gnome-shell-extension-no-overview (= 46),
 gnome-shell-extension-vertical-workspaces (= 46.2+20240828),
Description: Conglomeration package of GNOME Shell extensions
 The gnome-shell-extensions-extra contains the following extensions for
 GNOME Shell:
 .
   * disable-workspace-switcher:
     disables the popup displayed during workspace switching
 .
   * hibernate-status:
     adds a hibernate/hybrid suspend button in status menu
 .
   * middleclickclose:
     closes apps in overview with a middle click
 .
   * no-overview:
     disables the switch to overview at login
 .
   * vertical-workspaces:
     changes the horizontal stacking of workspaces to vertical, but also
     customizes layout, content, appearance and behavior of the Shell
