=== debian/rules ===
#!/usr/bin/make -f

EXTENSIONS_VERSION = 47

GNOME_SHELL_DEPENDS_LOW = 2:46
GNOME_SHELL_DEPENDS_HIGH = 2:48

%:
	dh ${@} --no-parallel

execute_after_dh_auto_clean:
	rm -f extensions/current

	# remove generated files
	rm -f extensions/44/*/*/schemas/gschemas.compiled
	rm -f extensions/44/middleclickclose/*/locale/*/LC_MESSAGES/*.mo

execute_before_dh_auto_build:
	ln -s $(EXTENSIONS_VERSION) extensions/current

execute_after_dh_auto_install:
	# removing unused files
	rm -f debian/gnome-shell-extensions-extra/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/gnome-shell-extensions-extra/usr/share/doc/*/LICENSE.txt

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vgnome-shell:Depends:low="$(GNOME_SHELL_DEPENDS_LOW)" \
		-Vgnome-shell:Depends:high="$(GNOME_SHELL_DEPENDS_HIGH)"
