## gnome-shell-extensions-extra 20250212

=== debian/changelog ===
gnome-shell-extensions-extra (20250212-1) sid; urgency=medium

  * Merging upstream version 20250212.
  * Updating packaging for addition of just-perfection.
  * Building for gnome-shell version 48 (Closes: #1095826).
  * Updating versioned provides for new upstream version.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Feb 2025 16:24:00 +0100

gnome-shell-extensions-extra (20240916-2) sid; urgency=medium

  * Updating source urls in copyright.
  * Removing trailing slash from maintainers field.
  * Updating my email address.
  * Updating vcs fields.
  * Trimming debian changelog.
  * Updating year in debian copyright for 2025.
  * Also updating email address in patches.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Feb 2025 17:53:00 +0100

gnome-shell-extensions-extra (20240916-1) sid; urgency=medium

  * Merging upstream version 20240916 (Closes: #1079257).
  * Updating gnome-shell statics for version 47.
  * Updating provides for new upstream versions.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Sep 2024 19:40:11 +0200

gnome-shell-extensions-extra (20240414-2) sid; urgency=medium

  * Uploading without changes now that gnome-shell 46 is in unstable
    (Closes: #1067433).

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Jul 2024 12:46:58 +0200

gnome-shell-extensions-extra (20240414-1) experimental; urgency=medium

  * Merging upstream version 20240414 (Closes: #1067433).
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Updating gnome-shell statics for version 46.
  * Updating provides for new upstream versions.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Apr 2024 08:20:22 +0200

gnome-shell-extensions-extra (20231210-2) experimental; urgency=medium

  * Building with GNOME 45 variants (Closes: #1052112).
  * Updating versioned extension provides for GNOME 45 variants.
  * Updating package description for GNOME 45 variants.
  * Adding gnome-shell to build-depends for middleclickclose.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Dec 2023 15:47:59 +0100

gnome-shell-extensions-extra (20231210-1) sid; urgency=medium

  * Merging upstream version 20231210.
  * Updating versioned extension provides.
  * Updating copyright for new upstream versions.
  * Removing no-overview_metadata.patch, not needed anymore.
  * Moving patches to version gnome-shell version specific directory.
  * Updating rules to build for gnome-shell version 43.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Dec 2023 15:42:17 +0100

gnome-shell-extensions-extra (20230618-3) sid; urgency=medium

  * Removing generated files to fix FTBFS when build twice in a row
    (Closes: #1044144).

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 Aug 2023 11:21:29 +0200

gnome-shell-extensions-extra (20230618-2) sid; urgency=medium

  * Adding individual versions to provides.

 -- Daniel Baumann <daniel@debian.org>  Sat, 24 Jun 2023 11:07:47 +0200

gnome-shell-extensions-extra (20230618-1) sid; urgency=medium

  * Merging upstream version 20230618.
  * Refreshing no-overview_metadata.patch for gnome-shell 44.
  * Setting minimal gnome-shell version to 43.
  * Setting maximal gnome-shell version to 44.
  * Removing breaks/replaces from before bookworm.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Jun 2023 15:49:58 +0200
