=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: gnome-shell-extensions-extra
 Section: gnome
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>,
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  gettext,
  gnome-shell,
  libglib2.0-bin,
+ libglib2.0-dev-bin,
+ libxml2-utils,
  python3-docutils,
  unzip,
  zip,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gnome-shell-extensions-extra
+Vcs-Browser: https://forgejo.debian.net/gnome/gnome-shell-extensions-extra
+Vcs-Git: https://forgejo.debian.net/gnome/gnome-shell-extensions-extra
 
 Package: gnome-shell-extensions-extra
 Section: gnome
@@ -29,9 +31,10 @@
 Provides:
  gnome-shell-extension-disable-workspace-switcher (= 3+20231017),
  gnome-shell-extension-hibernate-status (= 1.16~rc1),
- gnome-shell-extension-middleclickclose (= 31),
+ gnome-shell-extension-just-perfection (= 34.0),
+ gnome-shell-extension-middleclickclose (= 32),
  gnome-shell-extension-no-overview (= 46),
- gnome-shell-extension-vertical-workspaces (= 46.2+20240828),
+ gnome-shell-extension-vertical-workspaces (= 47.5+20250210),
 Description: Conglomeration package of GNOME Shell extensions
  The gnome-shell-extensions-extra contains the following extensions for
  GNOME Shell:
@@ -42,6 +45,9 @@
    * hibernate-status:
      adds a hibernate/hybrid suspend button in status menu
  .
+   * just-perfection:
+     changes behaviour and disables UI elements
+ .
    * middleclickclose:
      closes apps in overview with a middle click
  .
