## gnome-shell-extensions-extra 20250312

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Progress Linux: gnome-shell-extensions-extra
 
-# Copyright (C) 2010-2023 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2024 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -22,8 +22,10 @@
 SOFTWARE = gnome-shell-extensions-extra
 VERSION := $(shell cat VERSION.txt)
 
+EXTENSIONS_VERSION := current
+
 extensions-%:
-	@cd extensions; \
+	@cd extensions/$(EXTENSIONS_VERSION); \
 	for EXTENSION in *.mk;  \
 	do \
 		echo "################################################################################"; \
@@ -41,7 +43,7 @@
 
 package-install: package-build
 	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
-	cp -r CHANGELOG.txt LICENSE.txt README.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)
+	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 
 	for SECTION in $$(seq 1 8); \
 	do \
