=== share/man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Progress Linux: gnome-shell-extensions-extra
 
-# Copyright (C) 2010-2023 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2024 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
