=== debian/changelog ===
gnome-shell-extensions-extra (20250312-2) sid; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:25:27 +0200

gnome-shell-extensions-extra (20250312-1) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Merging upstream version 20250312:
    - updates no-overview for GNOME 48 (Closes: #1100049)
    - compiles missing schemas (Closes: #1099496)

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Mar 2025 09:55:43 +0100
