=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  unzip,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://forgejo.debian.net/gnome/gnome-shell-extensions-extra
 Vcs-Git: https://forgejo.debian.net/gnome/gnome-shell-extensions-extra
