=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-EXTENSIONS_VERSION = 47
+EXTENSIONS_VERSION = 48
 
-GNOME_SHELL_DEPENDS_LOW = 2:46
-GNOME_SHELL_DEPENDS_HIGH = 2:48
+GNOME_SHELL_DEPENDS_LOW = 46
+GNOME_SHELL_DEPENDS_HIGH = 49
 
 %:
 	dh ${@} --no-parallel
