=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://apt.progress-linux.org/archive/upstream/gnome-shell-extensions-extra/gnome-shell-extensions-extra-(.+)\.tar\.lz
